# pandas.Categorical.from_codes

classmethod `Categorical.``from_codes`(codes, categories, ordered=False, name=None)

  Make a Categorical type from codes and categories arrays.

  This constructor is useful if you already have codes and categories and so do not need the (computation intensive) factorization step, which is usually done on the constructor.

  If your data does not follow this convention, please use the normal constructor.

  Parameters:

  codes : array-like, integers

  > An integer array, where each integer points to a category in categories or -1 for NaN

  categories : index-like

  > The categories for the categorical. Items need to be unique.

  ordered : boolean, (default False)

  > Whether or not this categorical is treated as a ordered categorical. If not given, the resulting categorical will be unordered.